Package Gnumed :: Package timelinelib :: Package plugin :: Module pluginbase :: Class PluginBase |
[frames] | no frames]

# Class PluginBase

source code

    object --+
             |
            PluginBase

Instance Methods
isplugin(self) | source code
display_name(self) | source code
service(self) | source code
run(self, *args, **kwargs) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`